﻿using igHierarchicalGrid_loader.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igHierarchicalGrid_loader.Controllers
{
    public class HomeController : Controller
    {
        NewViewModel model = new NewViewModel();

        // GET: Home
        [ActionName("Index")]
        public ActionResult Index()
        {
            return View("Index", model);
        }

        public JsonResult BindProduct(string path, string layout)
        {
            string categoryID = path.Split(':')[1];
            return Json(model.Products.Where(p => p.CategoryID == int.Parse(categoryID)), JsonRequestBehavior.AllowGet);
        }
    }
}